Bug 38870 - "linux kernel source tree []" error message
"linux kernel source tree []" error message
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 19:58 EDT by Need Real Name
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-08 16:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-02 19:58:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


I have Intel Pro1000 GigE card in my system, when I try to install the 
driver for Linux where I downloaded from Intel web site, typing in "make 
install" will generate message:

linux kernel source tree []

I believe that is something to do with the way redhat 7.0 kernel is 
configured. I don't have that problem in redhat 6.2. Plesase help.

Reproducible: Always
Steps to Reproduce:
1.Download the Intel base Pro1000 base driver from support.intel.com
2.follow the instruction and type "make install"
3.the message "linux kernel source tree []" come up and can't procceed.
Comment 1 David M. Cook 2001-05-08 16:15:38 EDT
Intel's tar.gz package allows you to build a rpm from it using

rpm -tb e1000*.tar.gz

When I tried that on a RH7 with updates I got the helpful message that I should run

make -C /usr/src/linux oldconfig

After I did that, there were a lot of warning messages, but the package built
fine (and was placed in /usr/src/redhat/RPMS/i386;  Install with rpm -Uhv --force).

Make sure you have the kernel-source package installed.  Also, you may wish to
try the e1000 driver already on the system (v. 2.0.7 of the driver).

Note You need to log in before you can comment on or make changes to this bug.